// function getToken() {}

import axiosInstance from './axiosInstance'
import { useRequest } from '@/hooks/useRequest'

const { AllApi } = useRequest()

export const authToken = () => {
  return new Promise((reslove, reject) => {
    let refreshToken = localStorage.getItem('refreshToken')
    if (refreshToken) {
      axiosInstance
        .post(AllApi.gerRefreshToken)
        .then((data) => {
          let result = JSON.parse(JSON.stringify(data))
          if (result.code === 0) {
            localStorage.setItem('token', result.data.token)
            reslove(true)
          } else {
            reject(false)
          }
        })
        .catch((err) => {
          reject(false)
          console.log(err)
        })
    } else {
      reject(false)
    }
  })
}
