/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-26 14:06:51
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-08-27 16:44:39
 * @FilePath: \Game-Backstage-Management-System\src\utils\common\time.ts
 * @Description:
 *
 */
// 待定格式
export function resetTimeToMidnight(dateTime: Date): string {
  // 创建一个 Date 对象来解析输入的日期时间字符串

  // 将时间部分设置为 00:00:00
  dateTime.setHours(0, 0, 0, 0)

  // 格式化日期为 'YYYY-MM-DD HH:mm:ss' 格式
  const year = dateTime.getFullYear()
  const month = String(dateTime.getMonth() + 1).padStart(2, '0') // 月份从0开始，需要加1
  const day = String(dateTime.getDate()).padStart(2, '0')

  // 返回格式化的字符串
  return `${year}-${month}-${day}`
}
