/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-20 17:15:49
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-08-28 10:55:54
 * @FilePath: \Game-Backstage-Management-System\src\hooks\useTable.ts
 * @Description:
 *
 */
import type { StaticReqConfig } from '@/types/dataAnalysis'

export function useAnalysis() {
  /**
   * @description: 更新统计组件的请求参数
   * @return {*}
   */
  const updateReqConfig = (config: StaticReqConfig, newVal: any) => {
    Object.keys(newVal).map((k) => {
      config.otherOptions[k] = newVal[k]
    })
  }
  return {
    updateReqConfig
  }
}
